(*  GREATIS DELPHI TOYS DEMO                  *)
(*  Copyright (C) 2005-2008 Greatis Software  *)
(*  http://www.greatis.com/delphicb/toys/     *)
(*  http://www.greatis.com/bteam.html         *)

unit ToysMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, StdCtrls, ExtCtrls, ShellAPI;

type
  TfrmToysDemo = class(TForm)
    sbtHotKeys: TSpeedButton;
    sbtSysMouse: TSpeedButton;
    sbtFSearch: TSpeedButton;
    sbtFileVer: TSpeedButton;
    sbtWinInfo: TSpeedButton;
    sbtFoldMon: TSpeedButton;
    sbtClipHist: TSpeedButton;
    sbtFormSave: TSpeedButton;
    sbtDeskSets: TSpeedButton;
    sbtShutdown: TSpeedButton;
    bvlToys: TBevel;
    sbtToys: TSpeedButton;
    sbtWinEvent: TSpeedButton;
    procedure sbtHotKeysClick(Sender: TObject);
    procedure sbtSysMouseClick(Sender: TObject);
    procedure sbtFSearchClick(Sender: TObject);
    procedure sbtFileVerClick(Sender: TObject);
    procedure sbtWinInfoClick(Sender: TObject);
    procedure sbtFoldMonClick(Sender: TObject);
    procedure sbtClipHistClick(Sender: TObject);
    procedure sbtFormSaveClick(Sender: TObject);
    procedure sbtDeskSetsClick(Sender: TObject);
    procedure sbtShutdownClick(Sender: TObject);
    procedure sbtToysClick(Sender: TObject);
    procedure sbtWinEventClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmToysDemo: TfrmToysDemo;

implementation

uses HKMain, SMMain, FSMain, FVMain, WIMain, FMMain, CHMain, FRMSMain,
  DSMain, WSDMain, WEMain;

{$R *.DFM}

procedure TfrmToysDemo.sbtHotKeysClick(Sender: TObject);
begin
  frmHotKeysMain.Show;
end;

procedure TfrmToysDemo.sbtSysMouseClick(Sender: TObject);
begin
  frmSysMouseMain.Show;
end;

procedure TfrmToysDemo.sbtFSearchClick(Sender: TObject);
begin
  frmFSearchMain.Show;
end;

procedure TfrmToysDemo.sbtFileVerClick(Sender: TObject);
begin
  frmFileVerMain.Show;
end;

procedure TfrmToysDemo.sbtWinInfoClick(Sender: TObject);
begin
  frmWinInfoMain.Show;
end;

procedure TfrmToysDemo.sbtFoldMonClick(Sender: TObject);
begin
  frmFoldMonMain.Show;
end;

procedure TfrmToysDemo.sbtClipHistClick(Sender: TObject);
begin
  frmClipHistMain.Show;
end;

procedure TfrmToysDemo.sbtFormSaveClick(Sender: TObject);
begin
  frmFormSaveMain.Show;
end;

procedure TfrmToysDemo.sbtDeskSetsClick(Sender: TObject);
begin
  frmDeskSetsMain.Show;
end;

procedure TfrmToysDemo.sbtShutdownClick(Sender: TObject);
begin
  frmShutdownMain.Show;
end;

procedure TfrmToysDemo.sbtToysClick(Sender: TObject);
begin
  ShellExecute(Handle,'open','http://www.greatis.com/delphicb/toys/',nil,nil,SW_SHOWDEFAULT);
end;

procedure TfrmToysDemo.sbtWinEventClick(Sender: TObject);
begin
  frmWinEventMain.Show;
end;

end.
